REGINA-ENGINE-CONFIG(1)

NAME
regina-engine-config - get information about the installed version of Regina

SYNOPSIS
regina-engine-config [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--libs] [--cflags]

DESCRIPTION

regina-engine-config tells you which compiler and linker flags should be used to build the mathematical engine of Regina into your own programs. Regina's mathematical engine is in the library libregina-engine.so.

Regina is a software package for 3-manifold and 4-manifold topologists, with a focus on triangulations, knots and links, normal surfaces, and angle structures.

For 3-manifolds, it includes high-level tasks such as 3-sphere recognition, connected sum decomposition and Hakenness testing, comes with a rich database of census manifolds, and incorporates the SnapPea kernel for working with hyperbolic manifolds. For 4-manifolds, it offers a range of combinatorial and algebraic tools, plus support for normal hypersurfaces. For knots and links, Regina can perform combinatorial manipulation, compute knot polynomials, and work with several import/export formats.

OPTIONS
regina-engine-config accepts the following options.

--prefix=DIR
    Use DIR instead of the installation prefix that Regina was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix is not specified. This option must be specified before any --libs or --cflags options. If no DIR is specified then the current installation prefix will be written to standard output.

    Most people will not need this option.

--exec-prefix=DIR
    Use DIR instead of the installation exec prefix that Regina was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options. If no DIR is specified then the current installation exec prefix will be written to standard output.

    Most people will not need this option.

--version
    Print the currently installed version of Regina.

--libs
    Print the linker flags that are required to link a program against the Regina calculation engine.

--cflags
    Print the compiler flags that are required to compile a program that uses the Regina calculation engine.

SEE ALSO
Regina includes a detailed users' handbook, which may be accessed through Regina's help menu or read online at http://regina-normal.github.io/ .

AUTHOR
This utility was written by Ben Burton <bab@maths.uq.edu.au>, and is licensed under the GNU General Public License. Many people have been involved in the development of Regina; see the users' handbook for a full list of acknowledgements.

This script regina-engine-config and its manual page were modified from gtk-config, which contains the following notice:

    Copyright © 1998 Owen Taylor

    Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

Note that the permission statement above applies only to regina-engine-config, and not to Regina as a whole.